Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class GroupManager

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  CoreGroupManager, GroupManagerImpl

    public interface class GroupManager

extends java.rmi.Remote

The group management Facade interface.

Method Summary
`Item` | `addUsers(long groupId, NamedValue[] def, AttributeRequest[] attributes)` Adds members and managers to an existing group.
`Item` | `createGroup(NamedValue[] def, AttributeRequest[] attributes)` Creates a new group, returning an Item that represents it.
`void` | `deleteGroup(long groupId)` Deletes a group.
`Item[]` | `findGroups(NamedValue[] def, AttributeRequest[] attributes)` Returns a set of GROUPs.
`Item` | `removeUsers(long groupId, NamedValue[] def, AttributeRequest[] attributes)` Removes members and managers from an existing group.
`Item` | `updateGroup(long groupId, NamedValue[] def, AttributeRequest[] attributes)` Updates a group.

Method Detail

### createGroup

    Item createGroup(NamedValue[] def,
                     AttributeRequest[] attributes)
                     throws FdkException

  Description copied from interface: `GroupManager`
  Creates a new group, returning an Item that represents it.

  The returned Item will be of the type Group.

  Parameters:
    `def` - Attributes of the new group. Valid attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.MEMBER_LIST, long[]}
    - {Attributes.MANAGER_LIST, long[]}
    - {Attributes.IS_EXTERNALLY_MANAGED, Boolean}
    - {Attributes.MEMBERSHIP_VISIBILITY, Integer}
    `attributes` - Additional attributes on the new group to return.
  Returns:
    a Group with the requested attributes.
  Throws:
    `FdkException` - if the operation fails

### updateGroup

    Item updateGroup(long groupId,
                     NamedValue[] def,
                     AttributeRequest[] attributes)
                     throws FdkException

  Description copied from interface: `GroupManager`
  Updates a group. If set, the member list and manager list of the group will be exactly what is specified, ignoring the current lists. If the attribute is not set, the corresponding list will be left as is.

  Note that it is preferable to update the member/manager lists using add/removeUsers unless it is impossible or expensive to calculate the necessary changes.

  Parameters:
    `groupId` - The id of the group to update.
    `def` - New attributes of the group. Valid attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.DESCRIPTION, String}
    - {Attributes.MEMBER_LIST, long[]}
    - {Attributes.MANAGER_LIST, long[]}
    - {Attributes.IS_EXTERNALLY_MANAGED, Boolean}
    - {Attributes.MEMBERSHIP_VISIBILITY, Integer}
    `attributes` - Additional attributes on the group to return.
  Returns:
    a Group with the requested attributes.
  Throws:
    `FdkException` - if the operation fails

### addUsers

    Item addUsers(long groupId,
                  NamedValue[] def,
                  AttributeRequest[] attributes)
                  throws FdkException

  Description copied from interface: `GroupManager`
  Adds members and managers to an existing group. Only users may be added to the manager list. Note that specifying a user as a manager when that user is already on the member list, will cause the user to be removed from the member list and added to the manager list (keeping in mind that all managers are implicit members of the group).

  Parameters:
    `groupId` - The id of the group to update.
    `def` - New attributes of the group. Valid attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.MEMBER_LIST, long[]}
    - {Attributes.MANAGER_LIST, long[]}
    `attributes` - Additional attributes on the group to return.
  Returns:
    a Group with the requested attributes.
  Throws:
    `FdkException` - if the operation fails

### removeUsers

    Item removeUsers(long groupId,
                     NamedValue[] def,
                     AttributeRequest[] attributes)
                     throws FdkException

  Description copied from interface: `GroupManager`
  Removes members and managers from an existing group. Note that a removed manager will still be a member; to remove a manager from the group entirely, specify the manager under MEMBER_LIST.

  Parameters:
    `groupId` - The id of the group to update.
    `def` - New attributes of the group. Valid attributes:
    - notation: {Attribute name, Attribute type}
    - {Attributes.MEMBER_LIST, long[]}
    - {Attributes.MANAGER_LIST, long[]}
    `attributes` - Additional attributes on the group to return.
  Returns:
    a Group with the requested attributes.
  Throws:
    `FdkException` - if the operation fails

### deleteGroup

    void deleteGroup(long groupId)
                     throws FdkException

  Description copied from interface: `GroupManager`
  Deletes a group.

  Parameters:
    `groupId` - The id of the group to delete.
  Throws:
    `FdkException` - if the operation fails

### findGroups

    Item[] findGroups(NamedValue[] def,
                      AttributeRequest[] attributes)
                      throws FdkException

  Description copied from interface: `GroupManager`
  Returns a set of GROUPs.

  The NAME attribute is used as a name filter. Both database-style and Windows-style wildcards -- e.g. `_ ? % *` are accepted.

  The HAS_MEMBER filter option will ensure that only groups where the specified USER or GROUP ID is a member of the group (or any sub-group, recursively). Managers of a group are considered members.

  The HAS_MEMBER filter option cannot be specified if either the IS_MEMBER_OF or the IS_MANAGER_OF filter option is specified. Setting the IS_MEMBER_OF or IS_MANAGER_OF filter option to TRUE will automatically specify the current USER ID as the value for HAS_MEMBER or HAS_MANAGER, respectively, resulting in a query of the form "find groups the current user belongs to" or "find groups the current user manages". Passing FALSE for either of these two options is the same as not specifying them.

  The returned Items will be of type GROUP.

  If the primary or secondary sort attributes are specified but the corresponding sort directions are not specified, the sorting defaults to ascending order. The sorting order is ascending if the sort direction is explicitly set to TRUE and descending if the sort direction is set to FALSE.

  Sort attribute names must be defined in the Attributes class and have data types that implement the Comparable interface.

  Parameters:
    `def` - filter and sort options:
    - notation: {Attribute name, Attribute type}
    - {Attributes.NAME, String}
    - {Attributes.IS_EXTERNALLY_MANAGED, Boolean}
    - {Options.HAS_MEMBER, Long}
    - {Options.HAS_MANAGER, Long}
    - {Options.IS_MEMBER_OF, Boolean}
    - {Options.IS_MANAGER_OF, Boolean}
    - {Options.PRIMARY_SORT_ATTRIBUTE, String}
    - {Options.PRIMARY_SORT_DIRECTION, Boolean}
    - {Options.SECONDARY_SORT_ATTRIBUTE, String}
    - {Options.SECONDARY_SORT_DIRECTION, Boolean}
    `attributes` - attributes to return for each GROUP
  Returns:
    an Item array representing the selected GROUPs
  Throws:
    `FdkException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD